Compare commits

..

29 Commits

Author SHA1 Message Date
Geoff Bourne
d07143153f Auto-merging via docker-versions-create 2020-12-15 13:59:53 -06:00
Geoff Bourne
9efe097193 Auto-merging via docker-versions-create 2020-11-25 15:55:53 -06:00
Geoff Bourne
df95c2e532 Mered .editorconfig 2020-11-25 15:55:23 -06:00
Geoff Bourne
07ab1abc6c Auto-merging via docker-versions-create 2020-08-09 13:06:45 -05:00
Geoff Bourne
cc483bb115 Auto-merging via docker-versions-create 2020-07-26 08:29:35 -05:00
Geoff Bourne
38fffbd39c Auto-merging via docker-versions-create 2020-07-18 18:40:02 -05:00
Geoff Bourne
a196739ed2 Auto-merging via docker-versions-create 2020-07-11 13:13:04 -05:00
Geoff Bourne
87939c3d14 Auto-merging via docker-versions-create 2020-07-10 17:11:06 -05:00
Geoff Bourne
13b2104e84 Auto-merging via docker-versions-create 2020-07-04 14:57:31 -05:00
Geoff Bourne
c6cf39948a Auto-merging via docker-versions-create 2020-06-20 15:44:28 -05:00
Geoff Bourne
3439020ed6 Auto-merging via docker-versions-create 2020-06-19 13:26:25 -05:00
Geoff Bourne
503bd86ab6 Auto-merging via docker-versions-create 2020-05-20 08:14:33 -05:00
Geoff Bourne
6bd25c20c3 Aligned with openj9 branch #521 2020-05-06 16:10:47 -05:00
Geoff Bourne
480b7645ba Auto-merging via docker-versions-create 2020-05-02 09:34:03 -05:00
Geoff Bourne
dd80e5ebd5 Auto-merging via docker-versions-create 2020-04-25 12:10:38 -05:00
Geoff Bourne
8164ac05c1 Auto-merging via docker-versions-create 2020-04-17 21:28:41 -05:00
Geoff Bourne
70c61aed5c Auto-merging via docker-versions-create 2020-04-11 08:51:41 -05:00
Geoff Bourne
3bde06fcfc Auto-merging via docker-versions-create 2020-04-10 11:08:47 -05:00
Geoff Bourne
f7eb33b41b Auto-merging via docker-versions-create 2020-04-03 13:31:35 -05:00
Geoff Bourne
1f7eafef87 Auto-merging via docker-versions-create 2020-04-03 13:28:47 -05:00
Geoff Bourne
0670114602 Auto-merging via docker-versions-create 2020-04-02 17:47:36 -05:00
Geoff Bourne
4feec8000b Auto-merging via docker-versions-create 2020-03-30 08:31:58 -05:00
Geoff Bourne
e6db79cbbb Auto-merging via docker-versions-create 2020-03-26 20:54:07 -05:00
Geoff Bourne
9d97a227f6 Auto-merging via docker-versions-create 2020-02-01 08:52:57 -06:00
Geoff Bourne
5d3393d66b Auto-merging via docker-versions-create 2020-01-17 08:29:08 -06:00
Geoff Bourne
99c1fc81f1 Auto-merging via docker-versions-create 2019-11-16 09:30:57 -06:00
Geoff Bourne
ee97808168 Auto-merging via docker-versions-create 2019-11-16 09:04:21 -06:00
Geoff Bourne
2673d1c921 Merge branch 'master' into openj9-nightly 2019-11-16 09:01:30 -06:00
Geoff Bourne
9b7d5b35e4 Base image on adoptopenjdk/openjdk8-openj9:alpine-nightly 2019-11-02 08:40:48 -05:00
4 changed files with 44 additions and 106 deletions

View File

@@ -1,25 +0,0 @@
version: 2
jobs:
minecraft_server:
docker:
- image: circleci/buildpack-deps:stable
steps:
- checkout
- setup_remote_docker
- run:
name: Build image
command: docker build -t itzg/minecraft-server:${CIRCLE_BRANCH} .
# - run:
# name: Build arm v7 image
# command: docker build -t itzg/minecraft-server:${CIRCLE_BRANCH}-arm-v7 --platform linux/arm/v7 --build-arg ARCH=armv7 .
workflows:
version: 2
build:
jobs:
- minecraft_server:
filters:
branches:
ignore:
- armv7
- multiarch

View File

@@ -1,25 +0,0 @@
name: Build and publish multiarch
on:
push:
branches:
- multiarch
tags:
- "[0-9]+.[0-9]+.[0-9]+-multiarch"
jobs:
docker-buildx:
runs-on: ubuntu-latest
steps:
- name: Checkout
uses: actions/checkout@v2.2.0
- name: Get branch name
uses: nelonoel/branch-name@v1
- name: Docker Buildx
uses: ilteoood/docker_buildx@1.0.4
with:
publish: true
imageName: itzg/minecraft-server
tag: ${{ env.BRANCH_NAME }}
dockerHubUser: ${{ secrets.DOCKER_USER }}
dockerHubPassword: ${{ secrets.DOCKER_PASSWORD }}

View File

@@ -1,4 +1,4 @@
FROM adoptopenjdk/openjdk8-openj9:alpine
FROM adoptopenjdk/openjdk8-openj9:alpine-nightly
LABEL org.opencontainers.image.authors="Geoff Bourne <itzgeoff@gmail.com>"

View File

@@ -4,66 +4,54 @@
set -o pipefail
isDebugging && set -x
if [[ $PAPER_DOWNLOAD_URL ]]; then
export SERVER=$(getFilenameFromUrl "${PAPER_DOWNLOAD_URL}")
# PaperMC API v2 docs : https://papermc.io/api/docs/swagger-ui/index.html?configUrl=/api/openapi/swagger-config
if [ -f "$SERVER" ]; then
zarg=(-z "$SERVER")
fi
echo "Preparing custom PaperMC jar from $PAPER_DOWNLOAD_URL"
curl -fsSL -o "$SERVER" "${zarg[@]}" "${PAPER_DOWNLOAD_URL}"
else
# PaperMC API v2 docs : https://papermc.io/api/docs/swagger-ui/index.html?configUrl=/api/openapi/swagger-config
build=$(curl -fsSL "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}" -H "accept: application/json" \
| jq '.builds[-1]')
case $? in
0)
;;
22)
versions=$(curl -fsSL "https://papermc.io/api/v2/projects/paper" -H "accept: application/json")
if [[ $VERSION = LATEST ]]; then
VANILLA_VERSION=$(echo "$versions" | jq -r '.versions[-1]')
log "WARN: using ${VANILLA_VERSION} since that's the latest provided by PaperMC"
# re-execute the current script with the newly computed version
exec $0 "$@"
fi
log "ERROR: ${VANILLA_VERSION} is not published by PaperMC"
log " Set VERSION to one of the following: "
log " $(echo "$versions" | jq -r '.versions | join(", ")')"
exit 1
;;
*)
echo "ERROR: unknown error while looking up PaperMC version=${VANILLA_VERSION}"
exit 1
;;
esac
if [ $? != 0 ]; then
echo "ERROR: failed to lookup PaperMC build from version ${VANILLA_VERSION}"
build=$(curl -fsSL "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}" -H "accept: application/json" \
| jq '.builds[-1]')
case $? in
0)
;;
22)
versions=$(curl -fsSL "https://papermc.io/api/v2/projects/paper" -H "accept: application/json")
if [[ $VERSION = LATEST ]]; then
VANILLA_VERSION=$(echo "$versions" | jq -r '.versions[-1]')
log "WARN: using ${VANILLA_VERSION} since that's the latest provided by PaperMC"
# re-execute the current script with the newly computed version
exec $0 "$@"
fi
log "ERROR: ${VANILLA_VERSION} is not published by PaperMC"
log " Set VERSION to one of the following: "
log " $(echo "$versions" | jq -r '.versions | join(", ")')"
exit 1
fi
export SERVER=$(curl -fsSL "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}/builds/${build}" -H "accept: application/json" \
| jq -r '.downloads.application.name')
if [ $? != 0 ]; then
echo "ERROR: failed to lookup PaperMC download file from version=${VANILLA_VERSION} build=${build}"
;;
*)
echo "ERROR: unknown error while looking up PaperMC version=${VANILLA_VERSION}"
exit 1
fi
;;
esac
if [ $? != 0 ]; then
echo "ERROR: failed to lookup PaperMC build from version ${VANILLA_VERSION}"
exit 1
fi
if [ -f "$SERVER" ]; then
zarg=(-z "$SERVER")
fi
export SERVER=$(curl -fsSL "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}/builds/${build}" -H "accept: application/json" \
| jq -r '.downloads.application.name')
if [ $? != 0 ]; then
echo "ERROR: failed to lookup PaperMC download file from version=${VANILLA_VERSION} build=${build}"
exit 1
fi
log "Downloading PaperMC $VANILLA_VERSION (build $build) ..."
curl -fsSL -o "$SERVER" "${zarg[@]}" \
"https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}/builds/${build}/downloads/${SERVER}" \
-H "accept: application/java-archive"
if [ $? != 0 ]; then
echo "ERROR: failed to download PaperMC from version=${VANILLA_VERSION} build=${build} download=${SERVER}"
exit 1
fi
if [ -f "$SERVER" ]; then
zarg=(-z "$SERVER")
fi
log "Downloading PaperMC $VANILLA_VERSION (build $build) ..."
curl -fsSL -o "$SERVER" "${zarg[@]}" \
"https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}/builds/${build}/downloads/${SERVER}" \
-H "accept: application/java-archive"
if [ $? != 0 ]; then
echo "ERROR: failed to download PaperMC from version=${VANILLA_VERSION} build=${build} download=${SERVER}"
exit 1
fi
# Normalize on Spigot for downstream operations